var driver = require("./driver.js");
require("./tests.js");
//require("./tests-harmony.js");

var testsRun = 0, failed = 0;
function report(state, code, message) {
  if (state == "fail" && this.error) return;
  if (this.options && this.options.ecmaVersion == 6) return;
  if (message && message.indexOf('/loc') >= 0) return;
  if (state != "ok") {++failed; console.log(code, message);}
  ++testsRun;
}

var t0 = +new Date;
driver.runTests(require("../acorn_loose").parse_dammit, report);
console.log(testsRun + " tests run in " + (+new Date - t0) + "ms");

if (failed) {
  console.log(failed + " failures.");
  process.stdout.write("", function() {
    process.exit(1);
  });
} else {
  console.log("All passed.");
}